// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.21.9
// source: com/ruijc/storage/core/file/get.proto

package file

import (
	kernel "gitlab.com/ruijc/storage/core/kernel"
	vo "gitlab.com/ruijc/storage/core/vo"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// 获取请求
type GetReq struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// 唯一标识
	// @gotags: validate:"required"
	Id uint64 `protobuf:"varint,3,opt,name=id,proto3" json:"id,omitempty" validate:"required"`
	// 字段筛选
	// @gotags: validate:"dive,oneof=url"
	Fields []string `protobuf:"bytes,10,rep,name=fields,proto3" json:"fields,omitempty" validate:"dive,oneof=url"`
	// 类型
	// 默认是下载文件
	// @gotags: default:"2"
	Type kernel.UrlType `protobuf:"varint,14,opt,name=type,proto3,enum=com.ruijc.storage.core.kernel.UrlType" json:"type,omitempty" default:"2"`
	// 过期时间
	// 默认为5个小时
	// @gotags: default:"{'seconds': 18000}"
	Expires *durationpb.Duration `protobuf:"bytes,15,opt,name=expires,proto3" json:"expires,omitempty" default:"{'seconds': 18000}"`
}

func (x *GetReq) Reset() {
	*x = GetReq{}
	if protoimpl.UnsafeEnabled {
		mi := &file_com_ruijc_storage_core_file_get_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetReq) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetReq) ProtoMessage() {}

func (x *GetReq) ProtoReflect() protoreflect.Message {
	mi := &file_com_ruijc_storage_core_file_get_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetReq.ProtoReflect.Descriptor instead.
func (*GetReq) Descriptor() ([]byte, []int) {
	return file_com_ruijc_storage_core_file_get_proto_rawDescGZIP(), []int{0}
}

func (x *GetReq) GetId() uint64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *GetReq) GetFields() []string {
	if x != nil {
		return x.Fields
	}
	return nil
}

func (x *GetReq) GetType() kernel.UrlType {
	if x != nil {
		return x.Type
	}
	return kernel.UrlType(0)
}

func (x *GetReq) GetExpires() *durationpb.Duration {
	if x != nil {
		return x.Expires
	}
	return nil
}

// 获取响应
type GetRsp struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	File *vo.File `protobuf:"bytes,3,opt,name=file,proto3" json:"file,omitempty"`
}

func (x *GetRsp) Reset() {
	*x = GetRsp{}
	if protoimpl.UnsafeEnabled {
		mi := &file_com_ruijc_storage_core_file_get_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetRsp) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetRsp) ProtoMessage() {}

func (x *GetRsp) ProtoReflect() protoreflect.Message {
	mi := &file_com_ruijc_storage_core_file_get_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetRsp.ProtoReflect.Descriptor instead.
func (*GetRsp) Descriptor() ([]byte, []int) {
	return file_com_ruijc_storage_core_file_get_proto_rawDescGZIP(), []int{1}
}

func (x *GetRsp) GetFile() *vo.File {
	if x != nil {
		return x.File
	}
	return nil
}

var File_com_ruijc_storage_core_file_get_proto protoreflect.FileDescriptor

var file_com_ruijc_storage_core_file_get_proto_rawDesc = []byte{
	0x0a, 0x25, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x66, 0x69, 0x6c, 0x65, 0x2f, 0x67, 0x65,
	0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1b, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69,
	0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e,
	0x66, 0x69, 0x6c, 0x65, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2c, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f,
	0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x6b, 0x65, 0x72,
	0x6e, 0x65, 0x6c, 0x2f, 0x75, 0x72, 0x6c, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x24, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74,
	0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x76, 0x6f, 0x2f, 0x66, 0x69,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa1, 0x01, 0x0a, 0x06, 0x47, 0x65, 0x74,
	0x52, 0x65, 0x71, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x04, 0x52,
	0x02, 0x69, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x18, 0x0a, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x06, 0x66, 0x69, 0x65, 0x6c, 0x64, 0x73, 0x12, 0x3a, 0x0a, 0x04, 0x74,
	0x79, 0x70, 0x65, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f,
	0x72, 0x65, 0x2e, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x55, 0x72, 0x6c, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x33, 0x0a, 0x07, 0x65, 0x78, 0x70, 0x69, 0x72,
	0x65, 0x73, 0x18, 0x0f, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x07, 0x65, 0x78, 0x70, 0x69, 0x72, 0x65, 0x73, 0x22, 0x3d, 0x0a, 0x06,
	0x47, 0x65, 0x74, 0x52, 0x73, 0x70, 0x12, 0x33, 0x0a, 0x04, 0x66, 0x69, 0x6c, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63,
	0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x76, 0x6f,
	0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x04, 0x66, 0x69, 0x6c, 0x65, 0x42, 0x48, 0x0a, 0x1b, 0x63,
	0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x50, 0x01, 0x5a, 0x27, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73,
	0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x66, 0x69, 0x6c, 0x65,
	0x3b, 0x66, 0x69, 0x6c, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_com_ruijc_storage_core_file_get_proto_rawDescOnce sync.Once
	file_com_ruijc_storage_core_file_get_proto_rawDescData = file_com_ruijc_storage_core_file_get_proto_rawDesc
)

func file_com_ruijc_storage_core_file_get_proto_rawDescGZIP() []byte {
	file_com_ruijc_storage_core_file_get_proto_rawDescOnce.Do(func() {
		file_com_ruijc_storage_core_file_get_proto_rawDescData = protoimpl.X.CompressGZIP(file_com_ruijc_storage_core_file_get_proto_rawDescData)
	})
	return file_com_ruijc_storage_core_file_get_proto_rawDescData
}

var file_com_ruijc_storage_core_file_get_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_com_ruijc_storage_core_file_get_proto_goTypes = []interface{}{
	(*GetReq)(nil),              // 0: com.ruijc.storage.core.file.GetReq
	(*GetRsp)(nil),              // 1: com.ruijc.storage.core.file.GetRsp
	(kernel.UrlType)(0),         // 2: com.ruijc.storage.core.kernel.UrlType
	(*durationpb.Duration)(nil), // 3: google.protobuf.Duration
	(*vo.File)(nil),             // 4: com.ruijc.storage.core.vo.File
}
var file_com_ruijc_storage_core_file_get_proto_depIdxs = []int32{
	2, // 0: com.ruijc.storage.core.file.GetReq.type:type_name -> com.ruijc.storage.core.kernel.UrlType
	3, // 1: com.ruijc.storage.core.file.GetReq.expires:type_name -> google.protobuf.Duration
	4, // 2: com.ruijc.storage.core.file.GetRsp.file:type_name -> com.ruijc.storage.core.vo.File
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_com_ruijc_storage_core_file_get_proto_init() }
func file_com_ruijc_storage_core_file_get_proto_init() {
	if File_com_ruijc_storage_core_file_get_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_com_ruijc_storage_core_file_get_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetReq); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_com_ruijc_storage_core_file_get_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetRsp); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_com_ruijc_storage_core_file_get_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_com_ruijc_storage_core_file_get_proto_goTypes,
		DependencyIndexes: file_com_ruijc_storage_core_file_get_proto_depIdxs,
		MessageInfos:      file_com_ruijc_storage_core_file_get_proto_msgTypes,
	}.Build()
	File_com_ruijc_storage_core_file_get_proto = out.File
	file_com_ruijc_storage_core_file_get_proto_rawDesc = nil
	file_com_ruijc_storage_core_file_get_proto_goTypes = nil
	file_com_ruijc_storage_core_file_get_proto_depIdxs = nil
}
